<app-loading *ngIf="loading"></app-loading>
<div class="content-header">
  <div class="main-attach-job__right">
    <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='PRIMARY' *ngIf="objFunction.create" [mbIsDisable]="loading"
      mbButtonText="{{'modelOrganization.button.tranfer' | translate}}" (click)="submit()"></mb-button>
  </div>
</div>

<div>
  <form [formGroup]="tranferForm" nz-form>
    <div class="form-row">
      <div nz-row>
        <div nz-col nzSpan="24" class="form-row__tag">
          <mb-select [mbDataSelects]="inforIssueList" mbMode="multiple" mbKeyLabel="dataName" mbKeyValue="dataName"
            mbLabelText="{{'modelOrganization.label.issuedInfo' | translate}}" [mbDisable]="true"
            [(ngModel)]="showItems" [ngModelOptions]="{standalone: true}">
          </mb-select>
        </div>
      </div>
      <div nz-row class="row-input">
        <div nz-col nzSpan="24">
          <mb-input-text formControlName="title" mbLabelText="{{'modelOrganization.label.topic' | translate}} <span class='label__required'>*</span>"
            mbPlaceholderText = "{{'modelOrganization.placeHoder.titleType' | translate}}"
            [mbMaxLength]="250"
            [mbType]="isSubmit && tranferForm.controls['title'].errors ? 'error' : 'default'"
            [mbShowError]="isSubmit && (tranferForm.controls['title'].errors) !== null"
            [mbErrors]="tranferForm.controls['title'].errors"
            [mbErrorDefs]="[
          { errorName: 'required', errorDescription: 'system.validate.required' | translate: {'param': 'modelOrganization.validate.title' | translate }}]">
          </mb-input-text>
        </div>
      </div>

      <div nz-row class="row-input">
        <div nz-col nzSpan="24">
          <mb-input-text formControlName="content" mbLabelText="{{'modelOrganization.label.content' | translate}} <span class='label__required'>*</span>" [mbIsTextAre]="true"
            mbPlaceholderText = "{{'modelOrganization.placeHoder.contentType' | translate}}"
            [mbMaxLength]="400"
            [mbType]="isSubmit && tranferForm.controls['content'].errors ? 'error' : 'default'"
            [mbShowError]="isSubmit && (tranferForm.controls['content'].errors) !== null"
            [mbErrors]="tranferForm.controls['content'].errors"
            [mbErrorDefs]="[
          { errorName: 'required', errorDescription: 'system.validate.required' | translate: {'param': 'modelOrganization.validate.content' | translate }}]">
          </mb-input-text>
          <div class="max-length-input"><span>{{tranferForm.value.content.length}}/400</span></div>
        </div>
      </div>
    </div>
  </form>

  <div class="main-content" nz-row>
    <div nz-col nzXs="24" nzLg="16">
      <div class="container-employee">
        <div class="container-employee__title">
          <span nz-typography class="container-employee__title--label">Danh sách nhóm</span>
          <div class="container-employee__title--button-container">
            <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='PRIMARY'
              mbButtonText="{{'modelOrganization.button.addGroup' | translate}}" (click)="showPopup()"></mb-button>
          </div>
        </div>
        <div class="container-employee__content">
          <nz-table #basicTable [nzData]="groupMembers" [nzFrontPagination]="false" [nzShowPagination]="false"
            [nzScroll]="groupMembers.length ? {x: 'SCROLL_CONFIG'} : {}" [nzSize]="TABLE_SIZE">
            <thead>
              <tr>
                <th [nzWidth]="WIDTH_COLUMN.CHECKED" scope="col" [(nzChecked)]="checked"
                  (nzCheckedChange)="onAllChecked($event)" nzLeft>
                </th>
                <th scope="col" [nzWidth]="WIDTH_COLUMN.CHECKED" nzLeft>STT</th>
                <th scope="col">Nhóm</th>
                <th scope="col">Số lượng thành viên</th>
                <th [nzWidth]="WIDTH_COLUMN.CHECKED" scope="col" nzRight> </th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let item of groupMembers; let i = index">
                <td [nzChecked]="setOfCheckedId.has(item.gdeId)" (nzCheckedChange)="onItemChecked(item.gdeId, $event)"
                  nzLeft>
                </td>
                <td nzLeft (click)="showPopup(item)">{{i + 1}}</td>
                <td (click)="showPopup(item)">{{item.gdeName}}</td>
                <td (click)="showPopup(item)">{{item.members?.length}} thành viên</td>
                <td nzRight>
                  <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='CONTENT'
                    mbButtonText="{{'modelOrganization.button.tranfer' | translate}}" (click)="removeGroup(item)"><em
                      nz-icon nzType="delete" nzTheme="outline"></em></mb-button>
                </td>
              </tr>
            </tbody>
          </nz-table>
        </div>
      </div>
    </div>
    <div nz-col nzXs="24" nzLg="8">
      <div class="container-job">
        <div class="container-job__content">
          <div class="title-input">
            <span nz-typography class="form-row__label">Chọn chức danh</span>
            <p class="required"></p>
          </div>
          <app-search-input [listOutput]="setPostSelected" [listInput]="listPos" value="jobId" label="jobName" [pagination]="pagination"
            [itemSelected]="itemSelected" (emitType)="onInput($event)" (loadMore)="loadMoreEvent($event)" trigger="hover"></app-search-input>
          <nz-divider></nz-divider>
          <span class="title">
            Chức danh nhận thông tin
          </span>
          <ul nz-list [nzDataSource]="setPostSelected.length > 0 ? setPostSelected : []" nzSize="large">
            <li nz-list-item *ngFor="let item of setPostSelected; let i = index" nzNoFlex class="item-list">
              <div class="item">
                <span class="item__label">
                  {{ item.jobName }}
                </span>
                <div class="item__action">
                  <em nz-icon nzType="close-circle" nzTheme="fill" (click)="removePos(item, i)"></em>
                </div>
              </div>
            </li>
          </ul>
        </div>
      </div>
    </div>
  </div>
</div>
